/*******************************************************************************
 * Copyright (c) 2000, 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.update.search;

import org.eclipse.update.core.*;
import org.eclipse.update.internal.core.*;

/**
 * This class can be added to the update search request
 * to filter out features that do not match the current
 * environment settings.
 * 
 * <p>
 * <b>Note:</b> This class/interface is part of an interim API that is still under development and expected to
 * change significantly before reaching stability. It is being made available at this early stage to solicit feedback
 * from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken
 * (repeatedly) as the API evolves.
 * </p>
 * @see UpdateSearchRequest
 * @see IUpdateSearchFilter
 * @since 3.0
 */
public class EnvironmentFilter extends BaseFilter {
	
	public boolean accept(IFeature match) {
		return UpdateManagerUtils.isValidEnvironment(match);
	}
	
	public boolean accept(IFeatureReference match) {
		return UpdateManagerUtils.isValidEnvironment(match);
	}
}
